After minimizing a Nautilus window of another partition or external media or Trash folder, clicking on the "Files" icon on the Launcher again doesn't restore the minimized window, but opens a new one

Bug #1170647 reported by Steffen Krumbholz on 2013-04-19
This bug affects 359 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Medium
Unassigned
unity (Ubuntu)
Medium
Marco Trevisan (Treviño)
Nominated for Utopic by Alberto Salvia Novella
Trusty
Medium
Unassigned

Bug Description

*******
 ISSUE
*******

HOW TO REPRODUCE

1. Connect a removable media to the computer.
2. On the launcher, click on the "Files" icon.
3. On the left sidebar, click on the removable media icon or the trash.
4. Minimize the window.
5. Click on the "Files" icon.

EXPECTED BEHAVIOUR

- The Files window to be maximized.

REAL BEHAVIOUR

- A new window is opened.

RELEVANT DETAILS

- One way to navigate between windows at this moment is to use the "control + tabulation" key combination, or to click again on the "Files" icon so windows are exposed.

Otherwise the minimized window Can be restored by clicking on the Volume's launcher icon or scrolling on the Files icon

**********
 SOLUTION
**********

WORK-AROUND

- On the launcher, left click on the "Files" icon and select the "unlock from Launcher" option.

- Or hover the mouse over the Nautilus icon in the launcher, and roll the mouse wheel down/up, it should switch to the Naulitus window without open new instance of it.

FIX

- The launcher icon for "Files" to be treated the same way as if it was unlocked.

REGRESSION POTENTIAL

- Clicking on the "Files" icon won't send the user to its home folder, but to the latest opened Files window.

****************
 TECHNICAL INFO
****************

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: nautilus 1:3.6.3-0ubuntu16
ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
Uname: Linux 3.8.0-18-generic i686
ApportVersion: 2.9.2-0ubuntu8
Architecture: i386
Date: Fri Apr 19 11:33:13 2013
EcryptfsInUse: Yes
GsettingsChanges:
 b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
 b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
InstallationDate: Installed on 2011-07-23 (635 days ago)
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110426)
MarkForUpload: True
SourcePackage: nautilus
UpgradeStatus: Upgraded to raring on 2013-04-14 (4 days ago)

Related branches

Steffen Krumbholz (skrumbholz) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, is that under unity? Do you have specific steps to reproduce?

Changed in nautilus (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Steffen Krumbholz (skrumbholz) wrote :

Sebastien, thank you for your response. Please read my bug report carefully. :) I think I provided the informations already.

Sebastien Bacher (seb128) wrote :

ok, fair enough ;-)

Changed in nautilus (Ubuntu):
status: Incomplete → New
Changed in nautilus (Ubuntu):
status: New → Confirmed
aguzers (aguzers) wrote :

kinda annoying,
i dual boot ubuntu 13.04 with win7 , nautilus attempt to open new window when i click the nautilus (nautilus in minimize mode), it happen when i browse win7 data drive but if i acces my home folder (or ubuntu drive) n minimize it, this problem not appear.
sorry about my english :D

Mario (mario-mds) wrote :

Yes. The same happens to me: Any folder different from /home/myuser does that.

By the way: Can this new version of Nautilus show the status bar (in the lower right area, right under the list of files)?

Also: Can I set the 'tree view' in the folders located to the left?

Thanks in advance guys.

Steffen Krumbholz (skrumbholz) wrote :

There's a workaround for this issue. Hover over the Nautilus launcher icon and scroll the mouse wheel. :)

Mario (mario-mds) wrote :

Too late now. Using Thunar. Has no bugs (at least no Nautilu's ones), it's fast, has tree-view, shows previews of photos and videos...
Who needs Nautilus?

benjamin villanueva (itagomo) wrote :

thanks for the tip skrumbholz . =)

Leonardo Donelli (learts92) wrote :

I tried to give a look into the problem, even though i'm not expert in unity internals, GTK, desktop files, ecc. There is a big chaos. There is a transition going on between using nautilus.desktop and nautilus-home.desktop (apparently Unity used to use nautilus-home.desktop but is converging to the "standard" nautilus.desktop), as a result there are various .desktop files. There are also .desktop files for the mounted external drives (and launcher icons for external drives have strange / incosistent behaviour, by the way: when clicking on them the nautilus window that opens is 'assigned' to the nautilus launcher [the small arrow is on that] but the drive launcher still controls it: it can bring the window on foreground if it isn't).
On top of that, nautilus already has functions to determine if a specific location is already open, and in that case it avoids opening a new window for it (unless you use the --new-window parameter).

AlmogBaku (almog-baku) wrote :

it happend to me too..
There is no any solution yet?

AlmogBaku (almog-baku) wrote :

Also, when two windows is opened, it works as excepted

Edwin Pujols (edwinpm5) wrote :

Just now I noticed that with directories mounted on /media (via a direct invokation of udisks in a script) nautilus works as expected. Well, at least for me, at least right now.

Bruce (brunces) wrote :

This bug also affects me when I have a Nautilus window of my external drive minimized. If I click the Nautilus icon, it simply opens a new window, instead of showing that minimized one. I'm not quite sure, but it seems to happen frequently with mounted devices.

Shukhrat Mukimov (mukimov) wrote :

I can confirm, that this bug can be reproduced in latest 13.04. Nautilus opens second instance, instead to recover the old one. It's always reproduced for me.

Vahid Mardani (vahid-mardani) wrote :

I have the same problem, in 13.04. i decided to use another file manager.until debug

Adolfo Jayme (fitojb) on 2013-07-18
Changed in bamf (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Changed in nautilus (Ubuntu):
importance: Low → Medium
Adolfo Jayme (fitojb) wrote :

I can no longer reproduce this bug in Saucy, the icon now works as expected. Can anyone else confirm this?

On 9/11/2013 5:44 AM, Adolfo Jayme Barrientos wrote:
> I can no longer reproduce this bug in Saucy, the icon now works as
> expected. Can anyone else confirm this?
>
Can't confirm, see the same in updated saucy,
To refresh -
Open nautilus, browse to any dir. mounted in /media/<username>/,then
minimize nautilus.
Clicking on the launcher icon opens a new nautilus window at user Home
instead of minimized window

In my saucy install this is still present. Just to confirm it is present in saucy.

Adolfo Jayme (fitojb) on 2013-09-17
summary: - Nautilus opens new window instead of restoring the minimized window
+ Clicking on Nautilus’ launcher icon opens new window instead of
+ restoring the minimized one when browsing external drives/locations
Changed in bamf (Ubuntu):
status: Confirmed → Triaged
Changed in nautilus (Ubuntu):
status: Confirmed → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium

Hey, all. I have a workaround on this. Try this. (Feedback, Please. I may lost some step.)
1. Use fstab to mount your (external) disk into another directory on /media . For example /media/disk
   a. Please use auto, (if ntfs) ntfs-3g as mount option.
2. Create a link of /media/disk and give it a name based on your username. Put this link on the same directory (e.g. /media/)
3. Well, try it now.
Well, I don't know that the bug I reported already exist.

This bug exists only if you pin Nautilus to panel.

Michal Grňo (michal-grno) wrote :

I noticed this bug *after* the update to Saucy.

Кирилл (kirill-myxa) wrote :

I noticed that if open at least 2 tabs in window (even if both tabs show contents of an external hard drive) - it will open and minimized as it should.
(Ubuntu 13.10)

Ricardo Graça (devius) wrote :

Actually there is no need to minimize the original Nautilus window to reproduce this bug. All it takes is the Nautilus window loosing focus, e.g. when changing to another application and then attempting to get back to the Nautilus window showing an external drive.

Adam Niedling (krychek) on 2013-10-24
tags: added: saucy
Michal Grňo (michal-grno) wrote :

Recently I've found that this bug also affects process windows while copying from an external drive - those windows cannot be accessed by clicking on nautilus' icon. Sometimes it gets focus when I click on external drive icon, sometimes it doesn't. Strange.

Vahid Mardani (vahid-mardani) wrote :

The same problem always happens to me. on 13.04 and after upgrade to 13.10. so always i have two nautilus windows. its hurt me.

Sebastien Bacher (seb128) wrote :

Hey Marco, you worked on similar issues with the nautilus copy dialog in the past, do you want to have a look to this one?

Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
EliCoten (launchpad-elicoten) wrote :

I'm using 13.10. It seems to be somewhat related to this: http://askubuntu.com/q/235805/38137

If you click on the Hard Drive launcher icon, a folder window appears but the indicators show that it is a file window. If you then minimize this window, it appears to go to the "Files" launcher, but actually the correct way to restore it is to click on the Hard Drive launcher icon again.

This is ok (ok, perhaps a little confusing for the user - the indicator should really point to the Hard Drive launcher not the Files launcher when such a window is open) provided that the hard drive icon remains docked to the launcher. The real problem comes when you undock the Hard Drive/Partition's icon from the launcher - then you have the same behaviour with no reasonable alternative.

I hope this explanation makes sense.

I can confirm this bug is present also in Ubuntu 14.04 64 bit

tags: added: amd64 trusty

I have 3 other partitions apart from Ubuntu 14.04 one, one of which is set in fstab to be automatically mounted at startup (and not by gvfsd). I've noticed the behavior mentioned in this bug applies for the other partitions, but not for this one. Maybe this info could be useful. Here is the relative fstab line:

UUID=4031F06913658C89 /mnt/DATI auto nosuid,nodev,nofail,x-gvfs-show 0 0

Adolfo Jayme (fitojb) on 2014-02-26
Changed in unity (Ubuntu):
importance: Medium → High
tags: added: ubuntu-desktop-trusty
removed: trusty
Boza (nemanja-boki92) wrote :

This bug exists in 14.04 (64 bit).
If I UNPIN nautilus from Launcher, it works like it should work.

And now.. In 13.10 workaround was to hover with mouse and scroll. But now that not possible for unfocused windows. Fkkk.

Adolfo Jayme (fitojb) wrote :

@Boza: See bug 1098578, that behavior is coming back as an option.

Adolfo Jayme (fitojb) wrote :

(Sorry, I meant bug 1288957.)

Luigi R. (xluigi84) wrote :

I can confirm what reported by EliCoten, If we click on the drive icon we get the last window minimized although there is no pointer on it.

tags: added: trusty
OerHeks (oerheks) wrote :

Bug still exists in 14.04 64bit, no way to bring minimized nautilus to front

Jorge Rodríguez (yitano) wrote :

I can also confirm this is happening on 14.04 x64

Michal Polovka (miskopo) wrote :

I also confirm this bug on 14.04

Boza (nemanja-boki92) wrote :

Well, on my 14.04 (13.04->13.10->14.04) it's now working properly.

Tamir (sugip) wrote :

Bug still exists in 14.04 64 bit and very annoying.

Ishan Chaki (ishneww) wrote :

Facing same situation in ubuntu 14.04 64 bit. It doesn't matter whether I upgrade my system from 12.04 to 14.04 or install a fresh copy of 14.04.

Doctor Rover (doctor-rover) wrote :

I also confirm that bug is still here in 14.04.

İbrahim (ikorucu77) wrote :

Bug still exists in 14.04 64bit,

(if one window active and minimized) no way to bring minimized nautilus to front if the ntfs partition selected in it by clicking or right click list the nautilus icon at the left panel. (Alt+Tab and mouse wheel is working normally)

(if two windows opened and all of them minimized) No matter what folder selected it maximizes the windows. Alt+Tab, Left click and right click is working normally.

Omid Amraei (omidamraei) wrote :

I had the same problem in 13.10 and still exists in 14.04 32bit. When just one window is opened and minimised, clicking on nautilus icon on launchbar will opens a new window instead of maximising the minimized window.

It really doesn't matter which folder is opened. It always happens.

Rudi Lee (rudilee) wrote :

If you open more than one tab, if one of the tabs point to home it will working as expected(raise existing window), if all tabs point to another drive location then it's open new window.

Luigi R. (xluigi84) wrote :

I had the problem in Ubuntu 13.04 but not anymore in Ubuntu 14.04. I believe it could related to the way how you mount it. I will check the fstab as soon as I will be back at home.

Dipanjan Das (holmessherlock) wrote :

Bug still exists on Ubuntu 14.04 x64

meda (ademcal) wrote :

I hope.Bug can also confirm this is happening on 14.04 x64

IKT (ikt) wrote :

Nice bug guys, think this would ship with Windows 7 gold?

Count Dooku (jayakrishnan-k) wrote :

confirm bug exists. Ubuntu Trusty x64

Sasa Batistic (sasa-batistic) wrote :

bug is still in 14.04_86x

While I had reported the bug, it was gone "just like that". However
after reinstalling Ubuntu 14.04 64 bits,nautilus froze recently and from
there the bug reappeared.-
El 23/05/14 10:01, Sasa Batistic escribió:
> bug is still in 14.04_86x
>

In an attempt to add something new to all the reported behavior,:
Leftclick on Nautilus launcher minimizes the open window, as expected, if you have any one of the folders under your home directory, with the exception of the Trash directory. If you select Trash from the left side pane, then leftclick on the Nautilus icon in the Launcher opens a new window with Home directory. All other behavior in my case is as reported above.
Ubuntu 14.04 LTS, 64 bit. Fresh install.

Peter Roos (roospeteristvan) wrote :

@Basri

The Trash folder is an important example for the bug, but it also happens when Nautilus shows the contents of a pendrive or external HDD.

Adnan (adnan-rauff) wrote :

bug still exists in 14.04 x64. Had to unpin Nautilus from launcher. Does not happen with other file managers installed on trusty

really (wlfbck) wrote :

Over a year and this still isn't fixed. I mean, no one needs any new (and even more buggy) features when the old ones aren't even working properly...

maxicastro (maxicastro) wrote :

Con todo respeto, no entiendo por qué este bug sigue sin corregirse cuando es algo tan concreto de la GUI.
Digo, se tiene que resolver desde la comunidad o algun empleado de Canonical?
O Canonical o los líderes de proyectos están esperando que lo tome la comunidad y lo resuelva?

Quizas desde mi punto de vista como usuario pero no dev, está mal que parezca un bug relativamente fácil de resolver.
O no se va a resolver hasta que alguien de la comunidad estudie y lo intente?

@Treviño está asignado hace 7 meses pero no se sabe si está trabajando o no, luego de que lo asignara @seb128.
En su página de lauchpad treviño está trabajando y commiteando pero no se si en este bug o en otros.

La pregunta es, cuál es el motivo por el cual un bug tan concreto y molesto para el usuario no ha sido siquiera pasado de Triaged a In progress?

Y pido disculpas porque escribir, pero no se inglés...

Y estoy de acuerdo con wlfbck.

Adolfo Jayme (fitojb) on 2014-06-23
Changed in bamf (Ubuntu):
importance: Medium → High
Changed in nautilus (Ubuntu):
importance: Medium → High
Anish Dowlut (genius12a) wrote :

The behaviour described in this bug report was introduced as a fix for bug #753938. Thus, the solution for bug #753938 is actually the source of problem for this bug report. In order to fix this bug, the changes made for bug #753938 has to be reverted. I've located the appropriate code section, commented it out and re-compiled unity. That resolved the problem. I've already submitted the fix. I've attached a diff file to show the changes I made to the unity source code.

The attachment "diff" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
snapy (sdfjsfjaei-hans) wrote :

It's still the case in Ubuntu 14.04. It opens the home folder even though I already have a window (with the downloads folder) open.

Anish Dowlut (genius12a) wrote :

Another workaround besides unpinning the nautilus icon, is this:

sudo mv /usr/share/applications/nautilus.desktop /usr/share/applications/nautilus2.desktop
sudo mv /usr/share/applications/nautilus-folder-handler.desktop /usr/share/applications/nautilus-folder-handler2.desktop
sudo mv /usr/share/applications/nautilus-home.desktop /usr/share/applications/nautilus-home2.desktop

We're basically just renaming a few .desktop files related to nautilus. This will prevent the launcher from recognizing nautilus as a file manager and it won't execute the buggy behaviour.

However, when the bug has been fixed within unity itself, you should rename the all the .desktop files back to their original names.

@Anish
Hi, can you please tell us how to try the patch? I'm a noob for what concerns patching and compiling software

It's not a patch - those are shell commands. Drop them straight into the
terminal, authenticate, and it'll rename the files and fix the problem.

Sorry Dirk, I war referring to comment #58, and didn't see that comment #61
was by Anish too.

In comment #58 Anish submitted a diff marked as a patch. I'd like to apply
the patch, recompile unity, and try if it works

2014-06-30 23:59 GMT+02:00 Dirk Mcbratney <email address hidden>:

> It's not a patch - those are shell commands. Drop them straight into the
> terminal, authenticate, and it'll rename the files and fix the problem.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> Clicking on Nautilus’ launcher icon opens new window instead of
> restoring the minimized one when browsing external drives/locations
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/bamf/+bug/1170647/+subscriptions
>

Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Undecided → High
status: New → Triaged
TomasHnyk (sup) wrote :

This is a duplicate of this bug: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1163041 (that seems to have a better proposal for solution than just reverting the patch)

duroursu (duroursu-7) wrote :

This bug its iritating me and for that i change ubuntu 14.04 with LM Mate 17 that works better,i don't know why canonical do not repaired this bug.

sosupi (sosupi) wrote :

@ TomasHnyk: no, it is not a duplicate. Maybe it concerns the same part of the software, but it is certainly not a duplicate.

EsAmo (esamokoram) wrote :

More and more people affected. While Alt + Tab can be a nightmare at some cases...

It does not have to be different drive - bug exists for different partition than Linux installation like one occupied by Windows.

Regards & respect.

EsAmo (esamokoram) wrote :

Heeey, guess what: You can avoid opening new window by SCROLLING UP instead of CLICKING on the naultilus icon at Unity Launcher, at least on Ubuntu 14.04. Really happy to found it out.

Regards & respect.

EsAmo (esamokoram) wrote :

Bug affects USB flash drive and partition with Windows on it but does not affect other NTFS partition without system installed.

Regards & respect.

EsAmo (esamokoram) wrote :

I found out that You can make the partition bug-resistant by mounting it on start via /etc/fstab. As mentioned in comment above my Windows partition was affected by the bug and it is no more - since listed in /etc/fstab.

Regards & respect.

duroursu (duroursu-7) wrote :

This bug its now fixed on 14.04,its working normaly on my pc

Bruno Nova (brunonova) wrote :

It also seems to be fixed for me in Trusty!

Bruno Nova (brunonova) wrote :

Wait, it's not fixed for me after all.

What happened is that I had Nautilus opened in another workspace, and this made it seem that the issue was fixed.
If no Nautilus windows were open before, the issue still occurs.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Rian Katoen (riankatoen) wrote :

I've had the same bug, however I am unable to open up the copy dialog (even when using ALT+TAB). It appears to be the same bug as https://bugs.launchpad.net/ubuntu/+source/unity/+bug/887821. As EsAmo mentioned I have not had any issues with partition mentioned in my /etc/fstab.

Changed in gnome-shell (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
status: Triaged → Confirmed
description: updated
no longer affects: gnome-shell (Ubuntu)
summary: - Clicking on Nautilus’ launcher icon opens new window instead of
- restoring the minimized one when browsing external drives/locations
+ After minimizing an external location, clicking on the "Files" icon on
+ the Launcher doesn't restore the minimized window, but opens a new one
no longer affects: nautilus (Ubuntu)
no longer affects: bamf (Ubuntu)
affects: nautilus → hundredpapercuts
no longer affects: hundredpapercuts
description: updated
tags: added: utopic

It's a usability issue that doesn't limit the functionality of a core package.

Changed in unity (Ubuntu):
importance: High → Medium
Changed in hundredpapercuts:
importance: Undecided → Medium
status: New → Triaged
summary: - After minimizing an external location, clicking on the "Files" icon on
- the Launcher doesn't restore the minimized window, but opens a new one
+ After minimizing an external media, clicking on the "Files" icon on the
+ Launcher doesn't restore the minimized window, but opens a new one
description: updated

I have the issue in both 14.04 and 14.10. While I find it annoying and counter intuitive it is easy to work around.

The root problem of this bug is at the design level:

Unity developers thought users would understand better the "Files" icon as the place where their personal files are located, rather than the files manager itself. But, since this icon also needed to command the files manager, this design created both a duality in functionality and confusion in how the user shall understand the icon; as its meaning changes depending on the situation.

So the fix is simply to make the icon mean the files manager under every circumstance, not the user's home folder: to make the icon behave equally as when it isn't locked into the launcher.

I'm a newcommer from windows.
This problem exists in my ubuntu 14.04 x64 kernel 3.13.0-37-generic
everything updated!

there are several workrounds, but it's really annoying

Nidal R (nidalrashid) wrote :

@ Alberto Salvia Novella Thanks for explaining this perfectly

Until I read #81, nautilus's behaviour was utterly erratic and perplexing to me. This probably affects 99% of users. This problem is exacerbated for users like me who keep most of their files in a separate partition (for easy access in dual-boot windows/ubuntu setup).

 This is clearly a UI FAIL. The icon in launcher is the same for nautilus file manager and for home folder.

The simplest solution is to eradicate this distinction between File manager window showing a home folder and file manager showing other folders.

Shoham Peller (shoham-peller) wrote :

Still happens in 14.04.01 LTS x64

MrShadow (mrshad0w) wrote :

If you change mount folder from /media/username to /mnt folder it works as expected. I tested it only on Ubuntu 14.10 Unicorn
For trash, though, I found no solution

crunch (crunchiness) wrote :

It's real sad, more than a year since it was reported and it's still not fixed... Things like these make Ubuntu "3rd world OS" in terms of user interface.

+1

Enviado desde mi Moto G de Claro
El 28/11/2014 22:56, "SKYWATCHER" <email address hidden> escribió:

> It's real sad, more than a year since it was reported and it's still not
> fixed... Things like these make Ubuntu "3rd world OS" in terms of user
> interface.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1173223).
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> After minimizing an external media, clicking on the "Files" icon on
> the Launcher doesn't restore the minimized window, but opens a new one
>
> Status in One Hundred Papercuts:
> Triaged
> Status in Unity:
> Triaged
> Status in unity package in Ubuntu:
> Triaged
>
> Bug description:
> *******
> ISSUE
> *******
>
> HOW TO REPRODUCE
>
> 1. Connect a removable media to the computer.
> 2. On the launcher, click on the "Files" icon.
> 3. On the left sidebar, click on the removable media icon or the trash.
> 4. Minimize the window.
> 5. Click on the "Files" icon.
>
> EXPECTED BEHAVIOUR
>
> - The Files window to be maximized.
>
> REAL BEHAVIOUR
>
> - A new window is opened.
>
> RELEVANT DETAILS
>
> - The only way to navigate between windows at this moment is to use
> the "control + tabulation" key combination, or to click again on the
> "Files" icon so windows are exposed.
>
> **********
> SOLUTION
> **********
>
> WORK-AROUND
>
> - On the launcher, left click on the "Files" icon and select the
> "unlock from Launcher" option.
>
> FIX
>
> - The launcher icon for "Files" to be treated the same way as if it
> was unlocked.
>
> REGRESSION POTENTIAL
>
> - Clicking on the "Files" icon won't send the user to its home folder,
> but to the latest opened Files window.
>
> ****************
> TECHNICAL INFO
> ****************
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: nautilus 1:3.6.3-0ubuntu16
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> Uname: Linux 3.8.0-18-generic i686
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: i386
> Date: Fri Apr 19 11:33:13 2013
> EcryptfsInUse: Yes
> GsettingsChanges:
> b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
> b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
> InstallationDate: Installed on 2011-07-23 (635 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110426)
> MarkForUpload: True
> SourcePackage: nautilus
> UpgradeStatus: Upgraded to raring on 2013-04-14 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1170647/+subscriptions
>

maxicastro (maxicastro) wrote :
Download full text (5.2 KiB)

+1
El nov 28, 2014 11:15 PM, "martincasc" <email address hidden> escribió:

> +1
>
> Enviado desde mi Moto G de Claro
> El 28/11/2014 22:56, "SKYWATCHER" <email address hidden> escribió:
>
> > It's real sad, more than a year since it was reported and it's still not
> > fixed... Things like these make Ubuntu "3rd world OS" in terms of user
> > interface.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1173223).
> > https://bugs.launchpad.net/bugs/1170647
> >
> > Title:
> > After minimizing an external media, clicking on the "Files" icon on
> > the Launcher doesn't restore the minimized window, but opens a new one
> >
> > Status in One Hundred Papercuts:
> > Triaged
> > Status in Unity:
> > Triaged
> > Status in unity package in Ubuntu:
> > Triaged
> >
> > Bug description:
> > *******
> > ISSUE
> > *******
> >
> > HOW TO REPRODUCE
> >
> > 1. Connect a removable media to the computer.
> > 2. On the launcher, click on the "Files" icon.
> > 3. On the left sidebar, click on the removable media icon or the trash.
> > 4. Minimize the window.
> > 5. Click on the "Files" icon.
> >
> > EXPECTED BEHAVIOUR
> >
> > - The Files window to be maximized.
> >
> > REAL BEHAVIOUR
> >
> > - A new window is opened.
> >
> > RELEVANT DETAILS
> >
> > - The only way to navigate between windows at this moment is to use
> > the "control + tabulation" key combination, or to click again on the
> > "Files" icon so windows are exposed.
> >
> > **********
> > SOLUTION
> > **********
> >
> > WORK-AROUND
> >
> > - On the launcher, left click on the "Files" icon and select the
> > "unlock from Launcher" option.
> >
> > FIX
> >
> > - The launcher icon for "Files" to be treated the same way as if it
> > was unlocked.
> >
> > REGRESSION POTENTIAL
> >
> > - Clicking on the "Files" icon won't send the user to its home folder,
> > but to the latest opened Files window.
> >
> > ****************
> > TECHNICAL INFO
> > ****************
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 13.04
> > Package: nautilus 1:3.6.3-0ubuntu16
> > ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> > Uname: Linux 3.8.0-18-generic i686
> > ApportVersion: 2.9.2-0ubuntu8
> > Architecture: i386
> > Date: Fri Apr 19 11:33:13 2013
> > EcryptfsInUse: Yes
> > GsettingsChanges:
> > b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
> > b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
> > InstallationDate: Installed on 2011-07-23 (635 days ago)
> > InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110426)
> > MarkForUpload: True
> > SourcePackage: nautilus
> > UpgradeStatus: Upgraded to raring on 2013-04-14 (4 days ago)
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/hundredpapercuts/+bug/1170647/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> After minimizing an external media, clicking on the "Files" icon on
> the Launcher doesn't rest...

Read more...

The problem here is that the Ubuntu developers decided that "when you click the file manager icon, your home folder should open". So, when the trash (or a device) is open, clicking the file manager icon opens a new window with the home folder. Even Mark Shuttleworth said that's the intended behavior: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/769515/comments/3

This traded one usability problem by another!
When only the trash in open, for example, the file manager icon is also highlighted, and Unity indicates with two arrows that the file manager is open and focused. Also, the windows is minimized/restored to/from that icon.
If this behavior is to be kept, these issues should be fixed because they are very misleading.

Or just revert the behavior!
If you put the cursor over the file manager icon, the tooltip says "Files", not "Home Folder". So, why would the user expect that this icon is used only to open the home folder?

My vote goes to reverting this behavior (someone provided a patch already).
Just my humble opinion.

Doug McMahon (mc3man) on 2014-11-30
description: updated
James (jcmes) wrote :

What the heck is Mark Shuttleworth thinking? This is inconsistent design, an exception to how every other launcher behaves, and the "trade off" is ridiculous -- NO USABILITY is gained by this inconsistency -- I never once thought -- "oh well at least I'm back at my Home folder." He needs to stop trying to impose usability and realize it a science he must abide by if he wants to be a good usability designer, starting with users' habits set down since Windows 95, and our need for functional consistency in any interface that conforms to human reason and democracy, not the whims of a "innovation". I vote that this be changed because it is an embarassing bug we'd never expect from Microsoft or Apple.

Luigi R. (xluigi84) wrote :

Guys I do not understand why I do not have the problem anymore on my ubuntu 14.04. The file icon behaves how it should be (opening all minimized windows and middle click to open a new window). I would like to understand what I have changed (maybe in compiz) that makes everything fine.

I'm planning to update my distro soon but before doing it I would like to investigate what is different from you.

I believe in the dash I'm using nautilus-folder-handler.desktop

[Desktop Entry]
Name=Files
Comment=Access and organize files
Exec=nautilus %U
Icon=system-file-manager
Terminal=false
NoDisplay=true
Type=Application
StartupNotify=true
OnlyShowIn=GNOME;Unity;
Categories=GNOME;GTK;Utility;Core;
MimeType=inode/directory;application/x-gnome-saved-search;
X-GNOME-Bugzilla-Bugzilla=GNOME
X-GNOME-Bugzilla-Product=nautilus
X-GNOME-Bugzilla-Component=general
X-GNOME-Bugzilla-Version=3.2.1
X-Ubuntu-Gettext-Domain=nautilus

instead of nautilus.desktop

[Desktop Entry]
Name=Files
Comment=Access and organize files
Keywords=folder;manager;explore;disk;filesystem;
Exec=nautilus --new-window %U
Icon=system-file-manager
Terminal=false
Type=Application
StartupNotify=true
OnlyShowIn=GNOME;Unity;
Categories=GNOME;GTK;Utility;Core;FileManager;
MimeType=inode/directory;application/x-gnome-saved-search;
X-GNOME-Bugzilla-Bugzilla=GNOME
X-GNOME-Bugzilla-Product=nautilus
X-GNOME-Bugzilla-Component=general
X-GNOME-Bugzilla-Version=3.10.1
X-GNOME-UsesNotifications=true
Actions=Window;
X-Unity-IconBackgroundColor=#af4853
X-Ubuntu-Gettext-Domain=nautilus

[Desktop Action Window]
Name=Open a New Window
Exec=nautilus --new-window
OnlyShowIn=Unity;

Luigi R. (xluigi84) wrote :

Both .desktop files are under /usr/share/applications

MakisH (makishourdakis) wrote :

I still have this problem on Ubuntu 14.04.1 (originally 13.10).
I have the same .desktop files as Luigi R (comment #95), I haven't changed anything in them.

tags: removed: amd64 saucy ubuntu-desktop-trusty
Luigi R. (xluigi84) wrote :

I do not know what happens, I did not reinstall ubuntu but just keeping updating, now as everyone here I am facing again the bug.

Luigi R. (xluigi84) wrote :

...but only for the trash and the external media. The local partition which is mounted as:

/mnt/Data auto uid=1000,gid=1000,umask=077,nodev,nofail,x-gvfs-show 0 0

do not show the problem.

Bimal J Rekhadiya (bimaljr) wrote :

I am facing this issue.

I am using Ubuntu 14.04 64bit on my laptop with all updates installed till now.

- I open the "Files" from the Unity dash.
- Than I move to other window like Firefox, Skype etc.
- After some time (approx 30 or 50 minutes) when I click on the "Files" to open the window, it open a new window. It cannot maximize my first window and always open new window.
- So to get my first window, I need to open new window by click on "Files". Than click again on it. So I get my open "Files" windows. Than I need to click my first window.

To let you know, I already mounted my NTFS partitions.

Bimal Rekhadiya

Joe6832 (manfred-gron) wrote :

Oh, this bug is still triaged since many month-years. Also there are so many bug reports which are duplicates. I hope in the next ubuntu release it will be fixed.

Question: Why thats not tagged as high-priority? This is annoying a lot. I dont believe there are so only 260 people which are working with Windows Partition in Ubuntu :)

Jimmy Angelakos (vyruss) wrote :

Confirmed on 14.04.2 LTS - the "Unlock from launcher" work-around works perfectly. It *has* to be related.

Matt Anderson (wmattanderson) wrote :

I have had this bug for as long as I can remember, first time I bothered to look it up

Peter Roos (roospeteristvan) wrote :

Patience, fellow users. This bug seems to be fixed in 15.04 Daily.

DeadMetaler (dead-666) wrote :

In 15.04 bug still present.

+some new bugs

Peter Roos (roospeteristvan) wrote :

Indeed, the bug is still present. Interestingly, it wasn't present in the beta version one month ago in a virtual machine installation - or at least I couldn't trigger the bug with neither Trash or a USB stick.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu Trusty):
status: New → Confirmed
Sadi Yumuşak (sa-yu) wrote :

Unbelievable that 2 years after being reported this bug is still present in Ubuntu 15.04 :-(
None of the suggested workarounds like moving 3 nautilus desktop files in /usr/share/applications (comment #61) work.
I haven't tried removing nautilus from Launcher because such a "solution" is worse than the odd behavior for me...

Sadi Yumuşak (sa-yu) wrote :

A possible (maybe better) temporary workaround that keeps a Launcher icon, but also shows another Nautilus icon in the "running-apps" section of the Launcher, which behaves as it should both for other (internal and external) drives and Trash:

1) Open the folder "~/.local/share/applications" and change the name of the desktop file for the Nautilus icon on the Launcher (e.g. I've changed "org.gnome.Nautilus.desktop" to "nautilus.desktop".

2) Start dconf Editor, go to com.canonical.unity.launcher and add the new entry to the list of "favorites".

Sadi Yumuşak (sa-yu) wrote :

An enhancement of the temporary workaround in comment #109 above, using a single Launcher icon on Launcher (without using a second icon in the "running-apps" section)

1) Use the name "files.desktop" (instead of "nautilus.desktop" which is already used)

2) Replace all instances of "nautilus.desktop" in the file "~/.local/share/applications/mimeinfo.cache"

3) Use a script like the one below in a new desktop file in the folder "~/.config/autostart/"

sleep 10
nautilus -q

This gave me a new, fully functioning Nautilus icon (even for the Trash window) in the Launcher, except that it no longer displayed the usual User Folders and bookmarks, which I had to manually insert into my new "files.desktop" file.

Doug McMahon (mc3man) wrote :

Why people need 'workarounds' & such is a mystery here.
Just accept that when a nautilus window of external media is minimized - it minimizes to the icon of that external media, not the Files icon
Get over it, it there is some reasonable way to have it minimize to the Files icon it will happen, otherwise no big or even small deal

Sadi Yumuşak (sa-yu) on 2015-05-07
summary: - After minimizing an external media, clicking on the "Files" icon on the
- Launcher doesn't restore the minimized window, but opens a new one
+ After minimizing Nautilus window of Trash folder or any folder in
+ another partition as well as external media, clicking on the "Files"
+ icon on the Launcher doesn't restore the minimized window, but opens a
+ new one
summary: - After minimizing Nautilus window of Trash folder or any folder in
- another partition as well as external media, clicking on the "Files"
- icon on the Launcher doesn't restore the minimized window, but opens a
- new one
+ After minimizing a Nautilus window of another partition or external
+ media or Trash folder, clicking on the "Files" icon on the Launcher
+ doesn't restore the minimized window, but opens a new one
summary: After minimizing a Nautilus window of another partition or external
media or Trash folder, clicking on the "Files" icon on the Launcher
- doesn't restore the minimized window, but opens a new one
+ again doesn't restore the minimized window, but opens a new one
Ishan Chaki (ishneww) wrote :

OMG! this bug still exists. I faced this bug an year ago, then switched to elementary os. Can't believe this bug is still not fixed.

Valentin Crone (va-crone) wrote :

I'm affected too, I have 4 HDD in addition with my primary drive (SSD), and I have frequently the bug !

userDepth (markonuvo) wrote :

The thing is that this may be flaw and not a bug. I think I read something about this behaviour being by design.

Valentin Crone (va-crone) wrote :

No, when the behaviour is not the same each time, it's a bug.
Unity forget the opened Window.

If you click and have a new Window when you would just have focus on your opened Window, ok, but when you click a new time, you have the 3D effet to choose between the 2 opened window. If it was a behaviour problem, on each click you get a new Window, and it will faster be the hell on your desktop.

If the first Window is the Window you have previously opened, and the second Window is the new Windows who was opened by the bug:
- If the second Window is opened, when you click on the nautilus icon, you have the 3D effect to choose a Window between the 2.
- If you close the second Window, when you click on the nautilus icon, a new Window appear to be the "Second Window" a new time.
- If you close the first Window, when you click a new time, you have only the second Window who get focus.

Try yourself, it's just a bug.

2015-06-11 17:10 GMT-03:00 Valentin Crone <email address hidden>:

> Try yourself, it's just a bug.

​Yes It's a bug​. A couple of month ago I've made a clean installation of
Ubuntu and everything works fine. Yesterday I've made a clean installation
of elementary instate Ubuntu, and today I deleted elementary and installed
Ubuntu and now the bug it's present.

Don't understand why this happens.

userDepth (markonuvo) wrote :

Thanks for the clarification Valentine Crone.

Anirban Ghosh (anirban-ninja) wrote :

I hope Ubuntu fix this annoying bug as soon as possible. Really it affects during working.

Elbarbudo (patricearnal) wrote :

Dont'know if this is the same bug but I have the following behaviour when transferring big files between directories :
1- Open 2 "File" windows in 2 different directories
2- Copy a big amount of data between these directories in order to show the progress bar (capture 2)
3- Close the 2 "Files" windows, leaving only the progress bar window
4- Minimize the progress bar.

In the launcher, the File icon appears with the progress bar (see capture 1)
Clicking on the File Icon show up the default home windows instead of the progress window

Elbarbudo (patricearnal) wrote :

Missed the second attachment...

Boza (nemanja-boki92) wrote :
Download full text (3.5 KiB)

I think it's same bug.

I hope we don't gonna have this bug in Unity8.

sre, 24.06.2015. 10.06 Elbarbudo <email address hidden> је написао/ла:

> Dont'know if this is the same bug but I have the following behaviour when
> transferring big files between directories :
> 1- Open 2 "File" windows in 2 different directories
> 2- Copy a big amount of data between these directories in order to show
> the progress bar (capture 2)
> 3- Close the 2 "Files" windows, leaving only the progress bar window
> 4- Minimize the progress bar.
>
> In the launcher, the File icon appears with the progress bar (see capture
> 1)
> Clicking on the File Icon show up the default home windows instead of the
> progress window
>
> ** Attachment added: "Launcher bar with progress bar"
>
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1170647/+attachment/4419811/+files/Capture%201.png
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> After minimizing a Nautilus window of another partition or external
> media or Trash folder, clicking on the "Files" icon on the Launcher
> again doesn't restore the minimized window, but opens a new one
>
> Status in One Hundred Papercuts:
> Triaged
> Status in Unity:
> Triaged
> Status in Vivid OPM Workspace:
> New
> Status in unity package in Ubuntu:
> Triaged
> Status in unity source package in Trusty:
> Confirmed
>
> Bug description:
> *******
> ISSUE
> *******
>
> HOW TO REPRODUCE
>
> 1. Connect a removable media to the computer.
> 2. On the launcher, click on the "Files" icon.
> 3. On the left sidebar, click on the removable media icon or the trash.
> 4. Minimize the window.
> 5. Click on the "Files" icon.
>
> EXPECTED BEHAVIOUR
>
> - The Files window to be maximized.
>
> REAL BEHAVIOUR
>
> - A new window is opened.
>
> RELEVANT DETAILS
>
> - One way to navigate between windows at this moment is to use the
> "control + tabulation" key combination, or to click again on the
> "Files" icon so windows are exposed.
>
> Otherwise the minimized window Can be restored by clicking on the
> Volume's launcher icon or scrolling on the Files icon
>
> **********
> SOLUTION
> **********
>
> WORK-AROUND
>
> - On the launcher, left click on the "Files" icon and select the
> "unlock from Launcher" option.
>
> FIX
>
> - The launcher icon for "Files" to be treated the same way as if it
> was unlocked.
>
> REGRESSION POTENTIAL
>
> - Clicking on the "Files" icon won't send the user to its home folder,
> but to the latest opened Files window.
>
> ****************
> TECHNICAL INFO
> ****************
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: nautilus 1:3.6.3-0ubuntu16
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> Uname: Linux 3.8.0-18-generic i686
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: i386
> Date: Fri Apr 19 11:33:13 2013
> EcryptfsInUse: Yes
> GsettingsChanges:
> b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
> b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
> Installation...

Read more...

Rodrigo Lledó (rodhos-hp) wrote :

Bug still exists on Ubuntu 15.04 x64 more than two years later it was published.

Changed in vivid:
status: New → Confirmed
Valentin Crone (va-crone) wrote :

This bug affect also precise and trusty...

tags: added: regression-release vivid
quicksand (matei-tene) wrote :

This bug is still present in Ubuntu 15.04 64bit, with the exact reproducing steps as in the bug description.
It's also true that this behaviour is only present when nautilus is pinned to the dash (something that I desire to have
for easy access).

In my case, I have ntfs partitions, one of which is auto-mounted in /media (via fstab).
Whenever all the above are true:
* have a _single_ nautilus window which displays content on the ntfs partition
* this windows is not in focus
* the nautilus icon is locked to the dash
clicking on the icon will open a new window showing the Home folder, instead of bringing
the old instance in focus.

This is really annoying and affects my workflow everyday. Please fix!

Yonatan (yonatankahana-il) wrote :

affects me as well.

Carlos Ramos (carlosrges) wrote :

While I'm far from being an expert in the Unity source code, taking a look at it (more precisely, file launcher/ApplicationLauncherIcon.cpp, function ApplicationLauncherIcon::ActivateLauncherIcon in Vivid) it seems this behaviour comes from a patch made to fix the bug #753938 "Launcher - Open Trash window prevents Nautilus being launched when a user clicks on the Nautilus Launcher icon"[1]. That fix launches a new Nautilus window if the currently opened Nautilus windows are the trash or devices mounted in /media/<username>/.

But I think the previous behaviour is correct, i.e. the trash and devices launcher icons should be thought as just shortcuts to the Files/Nautilus application, not as separate applications; clicking on the Trash icon opens a trash window *in Nautilus*, so when you click on the normal Nautilus launcher icon it should bring that Trash window back, not open a separate window with the Home folder. This is way is done for example in Mac OS X, where clicking on the Trash icon on the dock brings a Finder window, and if you click the Finder icon afterwards it brings back the Trash window, not a new window.

This way may be annoying for some users that think of the Trash/Devices icons as separate applications, but I think it's more consistent and less workflow-disruptive when you are working with devices/trash windows.

[1]: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/753938

Rodrigo Lledó (rodhos-hp) wrote :

Carlos RG, I couldn't agree more with you. Please someone revert the patch made in bug #753938.

maxicastro (maxicastro) wrote :

I'm agree too. Please revert the patch in #753938.

On Wed, Oct 7, 2015 at 10:47 AM, Rodrigo <email address hidden> wrote:

> Carlos RG, I couldn't agree more with you. Please someone revert the
> patch made in bug #753938.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> After minimizing a Nautilus window of another partition or external
> media or Trash folder, clicking on the "Files" icon on the Launcher
> again doesn't restore the minimized window, but opens a new one
>
> Status in One Hundred Papercuts:
> Triaged
> Status in Unity:
> Triaged
> Status in vivid:
> Confirmed
> Status in unity package in Ubuntu:
> Triaged
> Status in unity source package in Trusty:
> Confirmed
>
> Bug description:
> *******
> ISSUE
> *******
>
> HOW TO REPRODUCE
>
> 1. Connect a removable media to the computer.
> 2. On the launcher, click on the "Files" icon.
> 3. On the left sidebar, click on the removable media icon or the trash.
> 4. Minimize the window.
> 5. Click on the "Files" icon.
>
> EXPECTED BEHAVIOUR
>
> - The Files window to be maximized.
>
> REAL BEHAVIOUR
>
> - A new window is opened.
>
> RELEVANT DETAILS
>
> - One way to navigate between windows at this moment is to use the
> "control + tabulation" key combination, or to click again on the
> "Files" icon so windows are exposed.
>
> Otherwise the minimized window Can be restored by clicking on the
> Volume's launcher icon or scrolling on the Files icon
>
> **********
> SOLUTION
> **********
>
> WORK-AROUND
>
> - On the launcher, left click on the "Files" icon and select the
> "unlock from Launcher" option.
>
> FIX
>
> - The launcher icon for "Files" to be treated the same way as if it
> was unlocked.
>
> REGRESSION POTENTIAL
>
> - Clicking on the "Files" icon won't send the user to its home folder,
> but to the latest opened Files window.
>
> ****************
> TECHNICAL INFO
> ****************
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: nautilus 1:3.6.3-0ubuntu16
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> Uname: Linux 3.8.0-18-generic i686
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: i386
> Date: Fri Apr 19 11:33:13 2013
> EcryptfsInUse: Yes
> GsettingsChanges:
> b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
> b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
> InstallationDate: Installed on 2011-07-23 (635 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110426)
> MarkForUpload: True
> SourcePackage: nautilus
> UpgradeStatus: Upgraded to raring on 2013-04-14 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1170647/+subscriptions
>

CzBiX (gliuwr) wrote :

This bug is still present in Ubuntu 15.10.

@Carlos Thanks your information, I compile unity myself without the patch, works well now.

no longer affects: wily (Ubuntu)
no longer affects: wily (Ubuntu Trusty)
Rodrigo Lledó (rodhos-hp) wrote :

Everlasting bug: Full story explained

After some research I finally found the origin of the problem. In Natty Narwhal the folder icon was called "Home folder" icon so the people expected the Home folder to open even when a trash folder was open. Moreover it didn't exist the "open new window" option which now appears when the icon is right clicked.
Then Mark Shuttleworth wrote:

"The Home Folder icon on the launcher should always open the Home folder
when clicked. If a previous invocation, or Trash, or other windows are
open and pointed elsewhere, then a new window should open with the Home
folder.

Mark"

Things have changed since then and now this behaviour is inconsistent. As I see it we have three options:
1) Declare this bug as invalid since the program was designed to behave like this.
2) Write a letter to Mark asking if he has changed his mind about this.
3) Just commit a fix and see what happens.

Changed in unity (Ubuntu):
status: Triaged → Opinion
status: Opinion → Confirmed
Will Cooke (willcooke) on 2015-10-15
tags: added: will-test
Will Cooke (willcooke) on 2015-10-15
tags: removed: will-test
tags: added: launcher wily
Rodrigo Lledó (rodhos-hp) wrote :

I think this bug should be set to Wishlist.

Changed in unity:
status: Triaged → Opinion
status: Opinion → Confirmed
Yonatan (yonatankahana-il) wrote :

Fixed for me...

Yonatan (yonatankahana-il) wrote :

Oops, no.. Not fixed.. I still have it.

Sadi Yumuşak (sa-yu) wrote :

@Yonatan : Have you tried my workaround? Although not 100% perfect, it worked for me:
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1170647/comments/109

Rodrigo Lledó (rodhos-hp) wrote :

@Sadi : I've tried but I can't found any file containing the word "nautilus" on that folder. I have Ubuntu 15.04

Sadi Yumuşak (sa-yu) wrote :

@Rodrigo : I don't remember now maybe I've got it after I manually adding it to Launcher (drag&drop a .desktop file), anyway one can simply copy "/usr/share/applications/org.gnome.Nautilus.desktop" to "~/.local/share/applications/files.desktop" and add it to Launcher after getting rid of the original Launcher icon (i.e. Unlock from Launcher).

@Yonatan @Rodrigo : Sorry I actually meant my comments no. 109 & 110.
Also I currently use this autostart script:

sleep 10
nautilus -q
sleep 5
nautilus -q

(Yes, I need to restart nautilus twice, and even first click the new Files icon in Launcher before using any other nautilus window ;-)

As a result, I now have the Files icon behaving as expected -- but still with one exception; nautilus root is represented a separate icon in the "running apps" section.

Igor Martins (igor-pm) on 2015-11-01
no longer affects: wily (Ubuntu)

@Igor : Why did you set "no longer affects: wily (Ubuntu)"? This bug is very much still present in 15.10.

Not fixed for me on Wily, either. Also, I noticed that if you already have a Nautilus window open on another workspace (even not for a drive), unlike most other apps (where it switches to the workspace with that app open and brings the window to the foreground), Nautilus will instead open a new window on that workspace. I'm pretty sure that this is the same bug, as unlocking Files from the launcher will also fix this.

yasomal (yasomal) wrote :

I also confirm that this still happen on my 14.04 x64.

Rodrigo Lledó (rodhos-hp) wrote :

Relax. Is still present. It was a mistake.
Probably he tried to add a package called wily, then he realised and deleted it. It doesn't exist a project called wily, we can't add an Ubuntu version: when the package Unity was added it automatically added the Trusty link.
Also, the vivid project is a mistake. It was created in 2011, just one package is mantained and it is not related with Unity nor Vivid Vervet.
I think we need to add every package of every distro version and the links to the versions will appear.

I propose to add this info to the triage guide in the wiki because it was confusing for me too.

Rodrigo Lledó (rodhos-hp) wrote :

I finally find the answer. There is another button only available for administrators called: Nominate for release.
askubuntu.com/questions/511878/how-to-add-another-ubuntu-version-to-affects-list-on-launchpad-bug

Rodrigo Lledó (rodhos-hp) wrote :

I recommend you to read this: https://answers.launchpad.net/launchpad/+question/152525
Is very educative.

Seth Johnson (sethj) on 2015-11-05
tags: added: desktop-bugscrub-triaged
tags: removed: patch
Rodrigo Lledó (rodhos-hp) wrote :

The fix submitted by Anish Dowlut (genius12a) on 2014-06-26 was disapproved by Marco Trevisan (Treviño) on 2014-06-28.
I told you this just in case you was wondering what happened with the fix.

Marco assigned this bug to himself on 2014-07-23.
Are you still working on this? Can you tell us something about the problem? Maybe some of us can give you a hand.

affects: vivid → killbill
Rodrigo Lledó (rodhos-hp) wrote :

I get the code (corresponding to my distro series), commented the section indicated in the diff file then compiled Unity with this guide: https://unity.ubuntu.com/getinvolved/development/unity/
And is working like a charm. If you are impatient like me I recomend you to do this. It's pretty easy.

*facepalm*

CzBiX (gliuwr) wrote :

For the guys who can‘t compile Unity, I just made a binary patch to fix this. It's safe and fast to use without side effects.
Please comment on the gist if you have any suggest.

https://gist.github.com/CzBiX/8608f3520b92a77c79e0

PS: This patch only support 15.10 64bit right now.

Sadi Yumuşak (sa-yu) wrote :

This annoying problem has been finally solved for me; THANKS A MILLION TO CzBix :-)
I hope the developers up there incorporate this soon.

tags: added: xenial

[angry rant]
I'm really getting sick of people fighting about whether this is a bug or not (despite there being no other application that I've seen that has this behavior), and changing tags, and submitting patches, and rejecting patches, and there being like 20 duplicate bugs of this and over 300 affected people, AND YET IT'S STILL NOT FIXED. This bug has existed for over TWO YEARS.

Does Canonical even TRY to fix bugs? For instance, the bug where Unity freezes when dragging windows between workspaces (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1301623)? Also, since I've upgraded to 15.10, there's been a double menu bar thing in VLC (https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/1510624), as well as another issue (not sure if it's just me or what) where VLC seems to crash sometimes when opening files in VLC from Nautilus too fast. (I would say I'm just opening files too fast except that this worked fine in 15.04.) As well as BREAKING NANO (!) in 15.10 because of something with the new file locking system that no one really needs (https://bugs.launchpad.net/ubuntu/+source/nano/+bug/1509081). (Also, yay, more hidden crap in my home directory to make the list of hidden files there even longer than it already is.) That one appears to have been fixed upstream but not yet released to the channels as an update. And in Ubuntu 15.04, removing "Open in new tab" from Terminal and replacing this with a "New terminal" option that you need to change what it does in the preferences in order to be able to open a new tab without having to use keyboard shortcuts, what the hell? Same reaction for no longer being able to bookmark something by dragging it to the sidebar in Nautilus and instead having to go to the Bookmarks menu. And LOL the Jayatana thing that they eventually had to disable in an update. I already had disabled that myself and manually re-enabled it in Eclipse when I got sick of seeing spam in my output console whenever I launched any Java program I had written.
Additionally, it seems random when I open a text file as to whether it opens in a new tab inside the currently open gedit window or in a new separate gedit window instead. Same for opening tabs in incognito mode in Chromium.

I really do like the Unity concept and the way it was intended to work, but it's stupid crap like this that ruins the whole experience. Please, someone explain to me why, when there are hundreds of Ubuntu-based spinoffs, there is only ONE (Leeenux, which appears to use a DE based on a continuation of the Ubuntu Netbook Remix that eventually turned into Unity) that uses Unity as the default desktop environment.
[/angry rant]

Rodrigo Lledó (rodhos-hp) wrote :

I will give you my "Unity Team's study" plus a link to the Big Bug Bonanza initiative:
https://drive.google.com/file/d/0BxrljVxXN2upRERERWRJcmdtY1U/view?usp=sharing
http://www.whizzy.org/2015/09/big-bug-bonanza-16-04-lts/

Read this:
"Over the years the bug lists for Unity 7 and Compiz have grown to become unmanageable. To make sure we are focusing on the most important issues we have to do some serious tidying up of the bug lists and we need some help.

At the time of writing there are 2680 open bugs for Unity 7 ...."

I hope this answer your question. Regards.

Changed in unity (Ubuntu):
status: Confirmed → In Progress
Changed in unity:
status: Confirmed → In Progress
tags: added: rls-x-incoming
tags: removed: rls-x-incoming
Changed in unity (Ubuntu):
milestone: none → ubuntu-16.04
Changed in unity:
milestone: none → 7.4.0
Yonatan (yonatankahana-il) wrote :

I fount temporarily solution, which is not fix the source of the problem, yet at least improves the user experience...
Hover the mouse over the Nautilus icon in the launcher, and roll the mouse wheel down/up, it should switch to the Naulitus window without open new instance of it.

tags: added: unity-backlog
Vladimir Scherbaev (zemik) wrote :

omg, it's still here

MrRomanze (mrromanze) wrote :

This behaviour is very annoying.

Valentin Crone (va-crone) wrote :

Yes it's still here.....

Rodrigo Lledó (rodhos-hp) wrote :

Please indicate the version you are using. This will be probably fixed in 16.04. I'm afraid it won't be fixed in older versions.

For more info see bugs:

#1063838
#1161323

florians (flo-rianstein-er) wrote :

So, no chance getting it fixed for 14.04 LTS ?
it's a pain if you have to work with external harddrives a lot ...

Rodrigo Lledó (rodhos-hp) wrote :

Marco Trevisan wrote:

"Now the launcher will link each nautilus window to the related volume or trash
icon, while the Nautilus launcher icon will only be active if the file manager is
browsing other locations.
It's now possible to manage sub-windows from the parent icon like it happens for
every other application (so even spreading them or select from QL)"

@florians I do not know. Just update in april.

description: updated
Changed in unity (Ubuntu Trusty):
importance: Undecided → Medium
affects: killbill → ubuntu-translations
no longer affects: ubuntu-translations
Mathew Hodson (mathew-hodson) wrote :

It seems like this was fixed in Xenial with unity 7.4.0+16.04.20160209.3-0ubuntu1

---------------
unity (7.4.0+16.04.20160209.3-0ubuntu1) xenial; urgency=medium

  [ Didier Roche ]
  * debian: Recommends session-shortcuts, prodiving easy way to
    shutdown, reboot and logout from dash

  [ Marco Trevisan (Treviño) ]
  * CMake: use GNUInstallDirs with native multi-arch support
    (LP: #1508635, #1485668)
  * Launcher: add FileManager, Trash and Volume icons integration
    (LP: #1524721, #1161323, #1063838, #1063823)
  * SwitcherModel: avoid to access to invalid selection or to divide by
    zero (LP: #1537524)

  [ handsome_feng ]
  * Extend the lockscreen theme for kylin.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 09 Feb 2016 12:21:15 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Adam Niedling (krychek) wrote :

It might be fixed now but not in a very good way.
Now a new launcher item gets created every time I change the location in Nautilus to another partition. And that item dissapears when I move to a location on the root partition. So one second I have the focus on the top of the launcher the other second I have on the bottom of it. It keeps changing all the time depending on the partition that I'm on.
Usabilitiy-wise it's pretty bad and frustrating.

martincasc (martincasco) wrote :
Download full text (3.8 KiB)

Well, this is a mess. I use a NTFS partition for my files and if I open
Trash I have 3 differents icons for the same program.
Files, or Nautilus, it's one program and should work like any other
program. 1 icon for each program instead of 1 icon for each windows of the
same program.
El abr. 26, 2016 13:16, "Mathew Hodson" <email address hidden> escribió:

It seems like this was fixed in Xenial with unity
7.4.0+16.04.20160209.3-0ubuntu1

---------------
unity (7.4.0+16.04.20160209.3-0ubuntu1) xenial; urgency=medium

  [ Didier Roche ]
  * debian: Recommends session-shortcuts, prodiving easy way to
    shutdown, reboot and logout from dash

  [ Marco Trevisan (Treviño) ]
  * CMake: use GNUInstallDirs with native multi-arch support
    (LP: #1508635, #1485668)
  * Launcher: add FileManager, Trash and Volume icons integration
    (LP: #1524721, #1161323, #1063838, #1063823)
  * SwitcherModel: avoid to access to invalid selection or to divide by
    zero (LP: #1537524)

  [ handsome_feng ]
  * Extend the lockscreen theme for kylin.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 09 Feb 2016 12:21:15
+0000

** Changed in: unity (Ubuntu)
       Status: In Progress => Fix Released

--
You received this bug notification because you are subscribed to a
duplicate bug report (1173223).
https://bugs.launchpad.net/bugs/1170647

Title:
  After minimizing a Nautilus window of another partition or external
  media or Trash folder, clicking on the "Files" icon on the Launcher
  again doesn't restore the minimized window, but opens a new one

Status in One Hundred Papercuts:
  Triaged
Status in Unity:
  In Progress
Status in unity package in Ubuntu:
  Fix Released
Status in unity source package in Trusty:
  Confirmed

Bug description:
  *******
   ISSUE
  *******

  HOW TO REPRODUCE

  1. Connect a removable media to the computer.
  2. On the launcher, click on the "Files" icon.
  3. On the left sidebar, click on the removable media icon or the trash.
  4. Minimize the window.
  5. Click on the "Files" icon.

  EXPECTED BEHAVIOUR

  - The Files window to be maximized.

  REAL BEHAVIOUR

  - A new window is opened.

  RELEVANT DETAILS

  - One way to navigate between windows at this moment is to use the
  "control + tabulation" key combination, or to click again on the
  "Files" icon so windows are exposed.

  Otherwise the minimized window Can be restored by clicking on the
  Volume's launcher icon or scrolling on the Files icon

  **********
   SOLUTION
  **********

  WORK-AROUND

  - On the launcher, left click on the "Files" icon and select the
  "unlock from Launcher" option.

  - Or hover the mouse over the Nautilus icon in the launcher, and roll
  the mouse wheel down/up, it should switch to the Naulitus window
  without open new instance of it.

  FIX

  - The launcher icon for "Files" to be treated the same way as if it
  was unlocked.

  REGRESSION POTENTIAL

  - Clicking on the "Files" icon won't send the user to its home folder,
  but to the latest opened Files window.

  ****************
   TECHNICAL INFO
  ****************

  ProblemType: Bug
  DistroRelease: Ubuntu 13.04
  Package: nautilus 1:3.6.3-0ubuntu16
  ProcVersionSignature: Ubuntu 3...

Read more...

no longer affects: unity
martincasc (martincasco) wrote :

So, what is affected. If we open Home, a pendrive volumen and Trash we have
3 icons for the same program. Files in tip of laincher and the rest at the
end. It's insane.
El abr. 26, 2016 13:41, "Marco Trevisan (Treviño)" <mail@3v1n0.net>
escribió:

> ** No longer affects: unity
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1233147).
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> After minimizing a Nautilus window of another partition or external
> media or Trash folder, clicking on the "Files" icon on the Launcher
> again doesn't restore the minimized window, but opens a new one
>
> Status in One Hundred Papercuts:
> Triaged
> Status in unity package in Ubuntu:
> Fix Released
> Status in unity source package in Trusty:
> Confirmed
>
> Bug description:
> *******
> ISSUE
> *******
>
> HOW TO REPRODUCE
>
> 1. Connect a removable media to the computer.
> 2. On the launcher, click on the "Files" icon.
> 3. On the left sidebar, click on the removable media icon or the trash.
> 4. Minimize the window.
> 5. Click on the "Files" icon.
>
> EXPECTED BEHAVIOUR
>
> - The Files window to be maximized.
>
> REAL BEHAVIOUR
>
> - A new window is opened.
>
> RELEVANT DETAILS
>
> - One way to navigate between windows at this moment is to use the
> "control + tabulation" key combination, or to click again on the
> "Files" icon so windows are exposed.
>
> Otherwise the minimized window Can be restored by clicking on the
> Volume's launcher icon or scrolling on the Files icon
>
> **********
> SOLUTION
> **********
>
> WORK-AROUND
>
> - On the launcher, left click on the "Files" icon and select the
> "unlock from Launcher" option.
>
> - Or hover the mouse over the Nautilus icon in the launcher, and roll
> the mouse wheel down/up, it should switch to the Naulitus window
> without open new instance of it.
>
> FIX
>
> - The launcher icon for "Files" to be treated the same way as if it
> was unlocked.
>
> REGRESSION POTENTIAL
>
> - Clicking on the "Files" icon won't send the user to its home folder,
> but to the latest opened Files window.
>
> ****************
> TECHNICAL INFO
> ****************
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: nautilus 1:3.6.3-0ubuntu16
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> Uname: Linux 3.8.0-18-generic i686
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: i386
> Date: Fri Apr 19 11:33:13 2013
> EcryptfsInUse: Yes
> GsettingsChanges:
> b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
> b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
> InstallationDate: Installed on 2011-07-23 (635 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110426)
> MarkForUpload: True
> SourcePackage: nautilus
> UpgradeStatus: Upgraded to raring on 2013-04-14 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1170647/+subscriptions
>

Sadi Yumuşak (sa-yu) wrote :

In deed it's got very... interesting:

1) I right click the Home/Files icon on Launcher and click Documents (which is a bookmark for "/home/sadi/Documents" which is simply a symbolic link to folder named Documents on my NTFS partition), and I have the Home (nautilus) icon displayed as active.

2) I right click the Home/Files icon again and this time click a quicklist item for a subfolder of Documents but this time entered as "/media/sadi/Data/Documents/Archive", and then an icon for the Data partition appears below the "Show Desktop" icon with nautilus window having two tabs -- thanks to a script to prevent opening a new window) and Home icon is no longer displayed as active.

3) I click the Trash icon, and a new nautilus window opens with the Trash icon at the very bottom displayed as active (which is the only good thing in this new design it seems)

4) I right click the Home/Files icon once again and this time click a quicklist item for a subfolder under home folder (e.g. "~/.local/share/applications"); suddenly nautilus surrenders and decides to merge all in one window, with only the Home/Folder icon displayed as active... but wait, the Trash contents is displayed nowhere... So I have to click the Trash icon again, and finally everything (almost) looks more sensible: Trash icon is shown active, and Home/Files icon is shown active, with 3 tabs for 3 folders on 2 partitions (as long as you don't attempt to open a folder on a 3rd partition ;-)

I don't think this issue can be ignored at all although I'm not sure who should solve it: Gnome or Ubuntu developers?

@Adam Niedling - I agree that even though it's slightly less annoying than before, the new 16.04 behavior is still not very good.

martincasc (martincasco) wrote :

Under Ubuntu 15.10 (15.04 too) the bug can be solve changing the mount
setting from Disc Utility app.
El abr. 26, 2016 21:50, "Hitechcomputergeek" <email address hidden>
escribió:

> @Adam Niedling - I agree that even though it's slightly less annoying
> than before, the new 16.04 behavior is still not very good.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1233147).
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> After minimizing a Nautilus window of another partition or external
> media or Trash folder, clicking on the "Files" icon on the Launcher
> again doesn't restore the minimized window, but opens a new one
>
> Status in One Hundred Papercuts:
> Triaged
> Status in unity package in Ubuntu:
> Fix Released
> Status in unity source package in Trusty:
> Confirmed
>
> Bug description:
> *******
> ISSUE
> *******
>
> HOW TO REPRODUCE
>
> 1. Connect a removable media to the computer.
> 2. On the launcher, click on the "Files" icon.
> 3. On the left sidebar, click on the removable media icon or the trash.
> 4. Minimize the window.
> 5. Click on the "Files" icon.
>
> EXPECTED BEHAVIOUR
>
> - The Files window to be maximized.
>
> REAL BEHAVIOUR
>
> - A new window is opened.
>
> RELEVANT DETAILS
>
> - One way to navigate between windows at this moment is to use the
> "control + tabulation" key combination, or to click again on the
> "Files" icon so windows are exposed.
>
> Otherwise the minimized window Can be restored by clicking on the
> Volume's launcher icon or scrolling on the Files icon
>
> **********
> SOLUTION
> **********
>
> WORK-AROUND
>
> - On the launcher, left click on the "Files" icon and select the
> "unlock from Launcher" option.
>
> - Or hover the mouse over the Nautilus icon in the launcher, and roll
> the mouse wheel down/up, it should switch to the Naulitus window
> without open new instance of it.
>
> FIX
>
> - The launcher icon for "Files" to be treated the same way as if it
> was unlocked.
>
> REGRESSION POTENTIAL
>
> - Clicking on the "Files" icon won't send the user to its home folder,
> but to the latest opened Files window.
>
> ****************
> TECHNICAL INFO
> ****************
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: nautilus 1:3.6.3-0ubuntu16
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> Uname: Linux 3.8.0-18-generic i686
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: i386
> Date: Fri Apr 19 11:33:13 2013
> EcryptfsInUse: Yes
> GsettingsChanges:
> b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
> b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
> InstallationDate: Installed on 2011-07-23 (635 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110426)
> MarkForUpload: True
> SourcePackage: nautilus
> UpgradeStatus: Upgraded to raring on 2013-04-14 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1170647/+subscriptions
>

Rodrigo Lledó (rodhos-hp) wrote :

If you are unsatisfied, file a new bug as a feature request.

martincasc (martincasco) wrote :

Well, me and another users like me are unsatisfied. And I've files this bug
a few years ago and now the bug as become a feature. And 3 icons for the
same program it's a pretty extrange "feature".
El abr. 29, 2016 13:36, "Rodrigo" <email address hidden> escribió:

> If you are unsatisfied, file a new bug as a feature request.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1173223).
> https://bugs.launchpad.net/bugs/1170647
>
> Title:
> After minimizing a Nautilus window of another partition or external
> media or Trash folder, clicking on the "Files" icon on the Launcher
> again doesn't restore the minimized window, but opens a new one
>
> Status in One Hundred Papercuts:
> Triaged
> Status in unity package in Ubuntu:
> Fix Released
> Status in unity source package in Trusty:
> Confirmed
>
> Bug description:
> *******
> ISSUE
> *******
>
> HOW TO REPRODUCE
>
> 1. Connect a removable media to the computer.
> 2. On the launcher, click on the "Files" icon.
> 3. On the left sidebar, click on the removable media icon or the trash.
> 4. Minimize the window.
> 5. Click on the "Files" icon.
>
> EXPECTED BEHAVIOUR
>
> - The Files window to be maximized.
>
> REAL BEHAVIOUR
>
> - A new window is opened.
>
> RELEVANT DETAILS
>
> - One way to navigate between windows at this moment is to use the
> "control + tabulation" key combination, or to click again on the
> "Files" icon so windows are exposed.
>
> Otherwise the minimized window Can be restored by clicking on the
> Volume's launcher icon or scrolling on the Files icon
>
> **********
> SOLUTION
> **********
>
> WORK-AROUND
>
> - On the launcher, left click on the "Files" icon and select the
> "unlock from Launcher" option.
>
> - Or hover the mouse over the Nautilus icon in the launcher, and roll
> the mouse wheel down/up, it should switch to the Naulitus window
> without open new instance of it.
>
> FIX
>
> - The launcher icon for "Files" to be treated the same way as if it
> was unlocked.
>
> REGRESSION POTENTIAL
>
> - Clicking on the "Files" icon won't send the user to its home folder,
> but to the latest opened Files window.
>
> ****************
> TECHNICAL INFO
> ****************
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: nautilus 1:3.6.3-0ubuntu16
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> Uname: Linux 3.8.0-18-generic i686
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: i386
> Date: Fri Apr 19 11:33:13 2013
> EcryptfsInUse: Yes
> GsettingsChanges:
> b'org.gnome.nautilus.window-state' b'geometry' b"'814x493+136+38'"
> b'org.gnome.nautilus.window-state' b'sidebar-width' b'182'
> InstallationDate: Installed on 2011-07-23 (635 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110426)
> MarkForUpload: True
> SourcePackage: nautilus
> UpgradeStatus: Upgraded to raring on 2013-04-14 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1170647/+subscriptions
>

Adam Niedling (krychek) wrote :

martincasc: could you just stop including the whole bug report in every single one of your posts? Just look at how ugly you're making this page: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1170647

Gregory Kramida (algomorph) wrote :

@Rodrigo, I don't think that whatever was done truly fixes the bug. This was a very bad GUI interface issue to begin with, i.e. users have expected behavior A, got behavior B instead, there was not an actual crash involved. What the users expected in this case was for the Trash, Files, and Media icons to lead to an already-opened window of Nautilus / file browser, opening a new tab when necessary. Instead of implementing behavior A, the fix came up with behavior C, which is somewhere in-between behaviors A and B, but it doesn't resolve the original issue, i.e. a separate window is still opened in many cases.

I propose to keep this bug open and revert the status to in-progress for unity, until the *desired* behavior is fully implemented. I think it would be very bad if unity developers don't take into account the wishes of the community in this case. If the unity team doesn't think this should be the default behavior, then they should provide an option to easily switch from what they think the behavior should be to this one, and let people know, and only then mark this as resolved/fixed.

All, please let us know if you think what I'm proposing is reasonable.

Sadi Yumuşak (sa-yu) wrote :

I think the new behavior to treat the Trash different from any other nautilus window(s) does make sense.

In addition, treating each removable media likewise (with appropriate "removable media icon" displayed on the Launcher" might also make sense (unless opened from within an existing window).

However, opening a new window for any folder in any part of the fixed disk(s) although there's already a window open (although minimized) is too much IMHO, and I'm in favor of regarding this behavior as a bug.

martincasc (martincasco) wrote :

Well, treating the trash different from any other nautilus windows could
make sense, but not in the rest of cases. Open your home folder, mount your
NTFS partition (a lot of users like me does) and mount your pendrive unit
and you'll have 3 icons for the same windows.-
This behavior IMHO it's too far from been user friendly, to far for be
coherent.

​​

Gregory Kramida (algomorph) wrote :

Let's see if we can reach a consensus.

***Desired default behavior:***

Files icon -> switches to existing window if one is open
Trash -> opens new window
Removable media (flash drives, cameras, etc.) -> opens new window
Hard drive partitions -> opens new tab in existing window

***+ Options in the settings:***
-What does the files icon do: maximize existing window if possible | open a new tab with home folder in existing window | opens a new window with home folder
-What does the trash icon do: open trash in new tab of existing window | open trash in new window
-What do removable media icons do: open media in new tab of existing window | open media in new window
-What do hard drive partition icons do: open partition in new tab of existing window | open partition in new window

If anyone disagrees that this would be a true fix for this 'bug', please let us know!

Adam Niedling (krychek) wrote :

I only know that I don't want the nautilus icons jump all around the place depending on the currently selected partition. I made a video about this too!

martincasc (martincasco) wrote :

Agree.
Actually Nemo works better, coherente and more consistent.
I'm not saying you have to install it, I'm saying that after install it you
will have only one icon on the launcher, except if you open another windows.
That's the correct and normal behavior, IMHO.

Adam, that's because you blacklisted that device icon from staying pinned to the launcher.

But as it was an un-pinned app, once you open it it has to stay to the launcher. The same behavior would apply to an app that you open and close.
I don't think that grouping it with nautilus is the right solution in that case... It would probably easy to do it (patches with optional settings welcome, and I can help you guys to go through the codebase), but I don't see this as being coherent.

As general consideration, I think the simple association is:

The fact that nautilus can have a tabbed view makes things harder. I actually supported tabs in my initial implementation, but there was the problem where a window was matched by multiple icons, and I think this was wrong (what to do if you had multiple locations opened, from the same devices, spread around multiple windows and tabs, when activating the "app/device" window spread/scale?).
So the thing was just simplify it by considering only the main (active) view of a nautilus window.

The fact that there are multiple launcher icons for different device locations, it's just as it has to be. We didn't want to patch nautilus aggressively in order to be more "locked" in this scenario, thus there could be some odd behaviors, but I think all this allows to manage things quite well for the average user.

Adam Niedling (krychek) wrote :

Marco: Yes, if I pin it to the launcher then it won't dissapear. But. The behaviour remains the same, the focus will still jump back and forth between the top Nautilus icon and the lower HDD icon. And if the focus is on the Nautilus icon and if I click on the HDD icon then a new window will open.
This isn't good anyhow.

Changed in unity (Ubuntu Trusty):
status: Confirmed → Fix Committed
Jaibatrik (jaibatrik) wrote :

So, what's the new behavior? I too find the current 16.04 behavior (of having new icons for mounted NTFS drives) quite unintuitive.

Hey! (press-1p-start) wrote :

Hi.

I'm using 14.04 and i really don't like the way that the files work when the trash or an external drive are open.

This is how i think it should work:

No applications open.

You press the trash or an external drive icon and it should open a files window and light up the files and trash/external drive icon.

If you press the files icon or thrash/external it should focus the files window and not open a new files window. If you want a new files window you should press the middle button or press the mouse right button and choose new window.

If you press the trash button and then an external drive button, It should open a new tab on the files with the external drive contents.

If you press the trash button and then press the middle click button on the external drive it should open a new files window with the external drive contents.

What is the best way to propose this solution to the developers?

Thanks and sorry for my English.

Anthony Correia (luxoboy) wrote :

I also think the current behaviour with external drives and NFS shares is not natural and unintuitive. I do not think the window's icon should change depending on what location is being browsed in the window.

When using tabs, it really is annoying because depending on which tab was focused when you left the window, the location of the icon in the sidebar changes. This implies almost systematically a loss of time when I want to go back to that window later on.

David Santos (davidsantos.br) wrote :

When I open a mounted drive, it is opened in Nautilus, is it not? So then why would it not show that window under the Nautilus icon? That's the mental association I make, anyway: if it's a folder, it's under the Nautilus icon. Now, I have to stop and remember in what device the folder in question is, so that I can determine which icon I should click to bring that window to front.

If there is an option to make it group all Nautilus windows under the Nautilus icon, I'd very much like to know how to enable it. If there isn't one, I for one think there should be.

Regarding tabs, I'd rather have different windows (grouped under the Nautilus icon), instead of multiple tabs in the same window. That way I can go to the Nautilus window with the folder I want from Alt-Tab or the Nautilus icon, instead of having to switch to Nautilus and then to the tab I want. I have been using Ubuntu for years, and I could count in the fingers of one hand how many times I actually opened a new tab in an existing Nautilus window.

Then again, I have no problem with tabs on my web browser (more often than not I have a single browser window with several tabs), so maybe it's just a matter of getting used to using tabs instead of separate windows.

Still, having all Nautilus windows under a single icon on Unity (even if as an option that is disabled by default) is a must, IMO.

Changed in unity (Ubuntu Trusty):
status: Fix Committed → Triaged
Krishna Shukla (1-krishna) wrote :

This is now affecting me on 16.04 =.=

snapy (sdfjsfjaei-hans) wrote :

I'm having this bug again.

snapy (sdfjsfjaei-hans) wrote :

I've opened a new report for this bug: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1629651

Please click "This bug affects me" if that's the case, so that the Ubuntu developers see it.

snapy (sdfjsfjaei-hans) wrote :

I just wanted to say that anyone who still has this bug (like me), the workaround by Sadi Yumuşak (sa-yu) worked. (Thank you!)

Here's it

1. cp "/usr/share/applications/org.gnome.Nautilus.desktop" ~/.local/share/applications/files.desktop
2. Create ~/.config/autostart/fsck-nautilus.desktop containing (or create it via Ubuntu's autostart configurator):

[Desktop Entry]
Type=Application
Exec=sh -c "~/fsck-nautilus.sh"
Hidden=false
NoDisplay=false
X-GNOME-Autostart-enabled=true
Name[en_US]=Nautilus fix
Name=Nautilus fix
Comment[en_US]=
Comment=

3. chmod +x ~/.config/autostart/fsck-nautilus.desktop
4. Check in Ubuntu autostart that it's enabled.
5. Create "~/fsck_nautilus.sh" containing:

sleep 10
nautilus -q
sleep 5
nautilus -q

gtk-launch files.desktop

snapy (sdfjsfjaei-hans) wrote :

Man, I hate you can't edit. At 5. the file should have been called "~/fsck-nautilus.sh"

Changed in hundredpapercuts:
status: Triaged → Fix Released
To post a comment you must log in.